List vendors
curl --request GET \
--url https://cloud.memsource.com/web/api2/v1/vendors \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v1/vendors"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v1/vendors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"content": [
{
"clients": [
{
"id": "<string>",
"name": "<string>",
"uid": "<string>"
}
],
"domains": [
{
"id": "<string>",
"name": "<string>",
"uid": "<string>"
}
],
"id": "<string>",
"name": "<string>",
"netRateScheme": {
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
},
"dateCreated": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"uid": "<string>"
},
"priceList": {
"id": "<string>",
"name": "<string>",
"uid": "<string>"
},
"sourceLocales": [
"<string>"
],
"subDomains": [
{
"id": "<string>",
"name": "<string>",
"uid": "<string>"
}
],
"targetLocales": [
"<string>"
],
"uid": "<string>",
"vendorToken": "<string>",
"workflowSteps": [
{
"id": "<string>",
"lqaEnabled": true,
"name": "<string>",
"order": 123,
"uid": "<string>"
}
]
}
],
"numberOfElements": 123,
"pageNumber": 123,
"pageSize": 123,
"sort": {
"orders": [
{
"property": "<string>"
}
]
},
"totalElements": 123,
"totalPages": 123
}Vendor
List vendors
Returns only approved vendors.
GET
/
api2
/
v1
/
vendors
List vendors
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Query Parameters
Page number, starting with 0, default 0
Required range:
x >= 0Page size, accepts values between 1 and 50, default 50
Required range:
1 <= x <= 50Filter by vendor name
Was this page helpful?
⌘I